Bug 195579 - Implement a "Fill Screen" zoom mode that always fits the narrower axis of the image
Summary: Implement a "Fill Screen" zoom mode that always fits the narrower axis of the...
Status: RESOLVED FIXED
Alias: None
Product: gwenview
Classification: Applications
Component: general (show other bugs)
Version: unspecified
Platform: Gentoo Packages Linux
: NOR wishlist with 30 votes (vote)
Target Milestone: ---
Assignee: Gwenview Bugs
URL:
Keywords: junior-jobs
Depends on:
Blocks:
 
Reported: 2009-06-07 18:12 UTC by Eike Hein
Modified: 2018-02-28 09:35 UTC (History)
3 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Eike Hein 2009-06-07 18:12:58 UTC
Version:           2.2.4 (using KDE 4.2.4)
OS:                Linux
Installed from:    Gentoo Packages

I'd like to see a "Fill Screen" zoom mode, which I have seen and happily used in some other image viewers, such as Quiver for Maemo.

"Fill Screen" does either Fit Width or Fit Height depending on which one of them is narrower. In other words, it always fits the narrower axis of the image. The effect is that there is never any "empty space" (i.e. there is never any background visible) and you get to scroll only in the wider axis.

So on a narrow-but-tall image, say "|", it would do Fit Width, and on a wide-but-low image, say "-", it would do Fit Height.
Comment 1 Aurelien Gateau 2009-07-22 09:36:29 UTC
Good idea, added to my TODO list.
Comment 2 Eike Hein 2009-07-22 12:59:01 UTC
Great, thanks a lot! :)
Comment 3 Nate Graham 2017-09-11 03:10:06 UTC
As of at least Gwenview 16.12.3, there's now a "Fit" mode that does just this!
Comment 4 Eike Hein 2017-09-11 08:24:56 UTC
Fill is not the same as fit.
Comment 5 null 2018-02-23 22:36:39 UTC
+1 on the idea. The new button should just replace the recently added "Fit Width" button.

How about naming this just "Fill"? I'm always annoyed by how much space the switcher now takes, but don't really like making it a combobox either.
Comment 6 null 2018-02-28 09:20:47 UTC
Git commit ba63c8a44f463b883c03c77c942809cd238a6594 by Henrik Fehlauer, on behalf of Silas Lenz.
Committed on 28/02/2018 at 09:16.
Pushed by rkflx into branch 'master'.

Replace "Fit Width" feature with "Fill"

Summary:
Fit width is arguably less useful than a more general Fill feature. This replaces "Fit Width" with "Fill", fitting width or height, depending on what fills the window.

Test Plan: Use Fill with landscape and portrait pictures with the window in landscape and portrait size.

Reviewers: #gwenview, ngraham, rkflx

Reviewed By: #gwenview, ngraham, rkflx

Subscribers: rkflx, muhlenpfordt, ngraham, #gwenview

Tags: #gwenview

Differential Revision: https://phabricator.kde.org/D10844

M  +5    -4    doc/index.docbook
M  +5    -5    lib/documentview/abstractdocumentviewadapter.h
M  +15   -13   lib/documentview/abstractimageview.cpp
M  +4    -4    lib/documentview/abstractimageview.h
M  +19   -24   lib/documentview/documentview.cpp
M  +6    -6    lib/documentview/documentview.h
M  +19   -19   lib/documentview/documentviewcontroller.cpp
M  +1    -1    lib/documentview/documentviewcontroller.h
M  +5    -5    lib/documentview/documentviewsynchronizer.cpp
M  +1    -1    lib/documentview/documentviewsynchronizer.h
M  +6    -6    lib/documentview/rasterimageview.cpp
M  +7    -7    lib/documentview/rasterimageviewadapter.cpp
M  +3    -3    lib/documentview/rasterimageviewadapter.h
M  +9    -9    lib/documentview/svgviewadapter.cpp
M  +3    -3    lib/documentview/svgviewadapter.h
M  +13   -12   lib/zoomwidget.cpp
M  +1    -1    lib/zoomwidget.h

https://commits.kde.org/gwenview/ba63c8a44f463b883c03c77c942809cd238a6594
Comment 7 Eike Hein 2018-02-28 09:32:22 UTC
Pretty amazing - 9 years after I filed this :) Thanks!
Comment 8 null 2018-02-28 09:35:55 UTC
You have to thank Silas, I only added the JJ tag ;)